#!/bin/sh

export LD_LIBRARY_PATH=/u0/Oracle/Middleware/EPMSystem11R1/products/FinancialManagement/Server/:/u0/Oracle/Middleware/EPMSystem11R1/products/FinancialManagement/Server/mw/lib-amd64_linux_optimized/:/u0/Oracle/Middleware/EPMSystem11R1/common/ODBC-64/Merant/7.1/lib/
export EPM_ORACLE_HOME=/u0/Oracle/Middleware/EPMSystem11R1

/bin/cp /u0/automation/epm/boost_libs/libboost_locale.so.1.48.0 /u0/Oracle/Middleware/EPMSystem11R1/products/FinancialManagement/Server/libboost_locale-gcc41-mt-1_48.so.1.48.0
/bin/cp /u0/automation/epm/boost_libs/libboost_thread.so.1.48.0 /u0/Oracle/Middleware/EPMSystem11R1/products/FinancialManagement/Server/libboost_thread-gcc41-mt-1_48.so.1.48.0
/bin/cp /u0/automation/epm/boost_libs/libboost_date_time.so.1.48.0 /u0/Oracle/Middleware/EPMSystem11R1/products/FinancialManagement/Server/libboost_date_time-gcc41-mt-1_48.so.1.48.0
/bin/cp /u0/automation/epm/boost_libs/libboost_filesystem.so.1.48.0 /u0/Oracle/Middleware/EPMSystem11R1/products/FinancialManagement/Server/libboost_filesystem-gcc41-mt-1_48.so.1.48.0
/bin/cp /u0/automation/epm/boost_libs/libboost_regex.so.1.48.0 /u0/Oracle/Middleware/EPMSystem11R1/products/FinancialManagement/Server/libboost_regex-gcc41-mt-1_48.so.1.48.0
/bin/cp /u0/automation/epm/boost_libs/libboost_system.so.1.48.0 /u0/Oracle/Middleware/EPMSystem11R1/products/FinancialManagement/Server/libboost_system-gcc41-mt-1_48.so.1.48.0

# These are steps the HIT/OPatch needs to run after HFM files are installed. 


echo "Creating symlinks to the libboost files ...."
ln -s $EPM_ORACLE_HOME/products/FinancialManagement/Server/libboost_date_time-gcc41-mt-1_48.so.1.48.0 $EPM_ORACLE_HOME/products/FinancialManagement/Server/libboost_date_time-gcc41-mt-1_48.so 
ln -s $EPM_ORACLE_HOME/products/FinancialManagement/Server/libboost_filesystem-gcc41-mt-1_48.so.1.48.0 $EPM_ORACLE_HOME/products/FinancialManagement/Server/libboost_filesystem-gcc41-mt-1_48.so
ln -s $EPM_ORACLE_HOME/products/FinancialManagement/Server/libboost_locale-gcc41-mt-1_48.so.1.48.0 $EPM_ORACLE_HOME/products/FinancialManagement/Server/libboost_locale-gcc41-mt-1_48.so
ln -s $EPM_ORACLE_HOME/products/FinancialManagement/Server/libboost_regex-gcc41-mt-1_48.so.1.48.0 $EPM_ORACLE_HOME/products/FinancialManagement/Server/libboost_regex-gcc41-mt-1_48.so
ln -s $EPM_ORACLE_HOME/products/FinancialManagement/Server/libboost_system-gcc41-mt-1_48.so.1.48.0 $EPM_ORACLE_HOME/products/FinancialManagement/Server/libboost_system-gcc41-mt-1_48.so
ln -s $EPM_ORACLE_HOME/products/FinancialManagement/Server/libboost_thread-gcc41-mt-1_48.so.1.48.0 $EPM_ORACLE_HOME/products/FinancialManagement/Server/libboost_thread-gcc41-mt-1_48.so

echo "Creating symlinks to the ODBC files ...."
ln -s $EPM_ORACLE_HOME/common/ODBC-64/Merant/7.1/lib/libodbc.so $EPM_ORACLE_HOME/common/ODBC-64/Merant/7.1/lib/libodbc.so.1 
ln -s $EPM_ORACLE_HOME/common/ODBC-64/Merant/7.1/lib/libodbcinst.so $EPM_ORACLE_HOME/common/ODBC-64/Merant/7.1/lib/libodbcinst.so.1 

echo "Giving base permissions to the all the files under [EOH]/products/FinancialManagement/ ..."
find $EPM_ORACLE_HOME/products/FinancialManagement/ -type f -exec chmod 640 {} \;

echo "Giving execute permissions to the shell scripts and executables in [EOH]/products/FinancialManagement/ ..."
find $EPM_ORACLE_HOME/products/FinancialManagement -name '*.sh' -type f -exec chmod 750 {} \;
find $EPM_ORACLE_HOME/products/FinancialManagement -name '*.csh' -type f -exec chmod 750 {} \;
find $EPM_ORACLE_HOME/products/FinancialManagement -name '*.exe' -type f -exec chmod 750 {} \;
find $EPM_ORACLE_HOME/products/FinancialManagement/Server/mw -type f ! -name "*.*" -exec chmod 750 {} \;
find $EPM_ORACLE_HOME/products/FinancialManagement/Server/mw/bin/tools -type f -exec chmod 750 {} \;
find $EPM_ORACLE_HOME/products/FinancialManagement/Server/mw/bin-amd64_linux -type f -exec chmod 750 {} \;
find $EPM_ORACLE_HOME/products/FinancialManagement/Server/mw/bin-amd64_linux_optimized -type f -exec chmod 750 {} \;

