#!/bin/sh
source ~/*.env

export JAVA_HOME=/u0/Oracle/Middleware/jrockit_160_37

export PATH=$JAVA_HOME/bin:$PATH

java -version
export EPM_ORACLE_HOME=/u0/Oracle/Middleware/EPMSystem11R1
export EPM_ORACLE_INSTANCE=/u0/Oracle/Middleware/user_projects/epmsystem1
export CLASSPATH=.:/u0/Oracle/Middleware/EPMSystem11R1/common/raframeworkrt/11.1.2.0/lib:/u0/Oracle/Middleware/EPMSystem11R1/common/raframeworkrt/11.1.2.0/lib/foundation.jar:/u0/Oracle/Middleware/EPMSystem11R1/common/raframeworkrt/11.1.2.0/lib/iona63.jar:/u0/Oracle/Middleware/EPMSystem11R1/common/raframeworkrt/11.1.2.0/lib/comutil1_01.jar:/u0/Oracle/Middleware/EPMSystem11R1/common/raframeworkrt/11.1.2.0/lib/eiengine.jar:/u0/Oracle/Middleware/EPMSystem11R1/common/misc/11.1.2.0/servlet-api.jar:/u0/Oracle/Middleware/EPMSystem11R1/../oracle_common/lib/java/shared/jsch/0.1.37/jsch-0.1.37.jar:/u0/Oracle/Middleware/EPMSystem11R1/common/jlib/11.1.2.0/epm_fr.jar:/u0/Oracle/Middleware/EPMSystem11R1/common/JakartaCommons/jakarta-commons.jar:/u0/Oracle/Middleware/EPMSystem11R1/../oracle_common/modules/org.springframework_2.5.jar:/u0/Oracle/Middleware/EPMSystem11R1/common/raframeworkrt/11.1.2.0/lib/logJavaUtil.jar:/u0/Oracle/Middleware/EPMSystem11R1/common/raframeworkrt/11.1.2.0/lib/javax.zip:/u0/Oracle/Middleware/EPMSystem11R1/common/raframeworkrt/11.1.2.0/lib/bqservice.jar:/u0/Oracle/Middleware/EPMSystem11R1/common/raframeworkrt/11.1.2.0/lib/js.jar:/u0/Oracle/Middleware/EPMSystem11R1/common/raframeworkrt/11.1.2.0/lib/bcel-5.1.jar:/u0/Oracle/Middleware/EPMSystem11R1/common/raframeworkrt/11.1.2.0/lib/scorecard-search-api.jar:/u0/Oracle/Middleware/EPMSystem11R1/common/raframeworkrt/11.1.2.0/lib/waservices.jar:/u0/Oracle/Middleware/EPMSystem11R1/../modules/javax.mail_1.4.jar:/u0/Oracle/Middleware/EPMSystem11R1/../modules/org.apache.ant_1.7.1/lib/xercesImpl.jar:/u0/Oracle/Middleware/EPMSystem11R1/common/jlib/11.1.2.0/epm_misc.jar:/u0/Oracle/Middleware/EPMSystem11R1/../modules/javax.activation_1.1.jar:/u0/Oracle/Middleware/EPMSystem11R1/common/SAP/lib:/u0/Oracle/Middleware/EPMSystem11R1/common/jlib/11.1.2.0/epm_j2se.jar:/u0/Oracle/Middleware/EPMSystem11R1/products/biplus/lib/beatware.jar:/u0/Oracle/Middleware/EPMSystem11R1/products/biplus/lib/irwidget-bw.jar:/u0/Oracle/Middleware/EPMSystem11R1/products/biplus/lib/irwidget.jar::.:/u0/Oracle/Middleware/EPMSystem11R1/common/jlib/11.1.2.0/registry-api.jar:/u0/Oracle/Middleware/EPMSystem11R1/_vpddb/Gen1/engine/1.0/library/epml.jar:/u0/Oracle/Middleware/EPMSystem11R1/common/loggers/ODL/1.0.0/lib/ojdl.jar


export CLASSPATH=/u0/Oracle/Middleware/EPMSystem11R1/common/SharedServices/11.1.2.0/lib/audit-client.jar:/u0/Oracle/Middleware/EPMSystem11R1/common/CSS/11.1.2.0/lib/css.jar:/u0/Oracle/Middleware/EPMSystem11R1/common/jlib/11.1.2.0/ctg_custom.jar:/u0/Oracle/Middleware/EPMSystem11R1/common/CSS/11.1.2.0/lib/ldapbp.jar:/u0/Oracle/Middleware/EPMSystem11R1/common/misc/11.1.2.0/opencsv-1.8.jar:/u0/Oracle/Middleware/EPMSystem11R1/common/jlib/11.1.2.0/registry-api.jar:/u0/Oracle/Middleware/EPMSystem11R1/common/SharedServices/11.1.2.0/lib/wlpool.jar:$CLASSPATH:/u0/Oracle/Middleware/EPMSystem11R1/common/JakartaCommons/jakarta-commons.jar:/u0/Oracle/Middleware/EPMSystem11R1/common/loggers/ODL/1.0.0/lib/ojdl.jar

/u0/Oracle/Middleware/jdk*/bin/javac /u0/automation/apps/pwgen.java

echo Generating Encrypted Passwords
cd /u0/automation/apps/
/u0/Oracle/Middleware/jdk*/bin/java pwgen

# must be there before after configuration but before starting planning
sqlplus EPM_HPSYS/PWD < /tmp/insertPlanningDS.sql

